#
# Conditional build:
%bcond_with	bootstrap	# bootstrap build without PEAR installed (for first php-pear-PEAR installation)

%define		status		stable
%define		pearname	Archive_Tar
Summary:	%{pearname} - Tar file management class
Summary(pl.UTF-8):	%{pearname} - klasa do zarządzania plikami Tar
Name:		php-pear-%{pearname}
Version:	1.4.14
Release:	2
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	12c9b5f0e0f2e875c332cc3908659017
URL:		http://pear.php.net/package/Archive_Tar/
%if %{without bootstrap}
BuildRequires:	php-pear-PEAR
%endif
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides handling of tar files in PHP. It supports
creating, listing, extracting and adding to tar files. Gzip support is
available if PHP has the zlib extension built-in or loaded.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ta klasa udostępnia obsługę plików tar w PHP. Pozwala na tworzenie,
przeglądanie zawartości, rozpakowywanie i dodawanie plików do archiwów
tar. Obsługa kompresji gzip jest dostępna, jeśli do PHP jest
zainstalowany moduł rozszerzenia zlib.

Ta klasa ma w PEAR status: %{status}.

%prep
%if %{without bootstrap}
%pear_package_setup
%else
%setup -q -c -n %{pearname}-%{version}
%{__mv} %{pearname}-%{version}/* .
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}

%if %{without bootstrap}
%pear_package_install
%else
cp -pr Archive $RPM_BUILD_ROOT%{php_pear_dir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{without bootstrap}
%doc install.log docs/%{pearname}/docs/*
%{php_pear_dir}/.registry/archive_tar.reg
%endif
%{php_pear_dir}/Archive/Tar.php
%changelog
* Mon Jun 13 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-pear-Archive_Tar.git;a=log;h=master

* Mon Jun 13 2022 Marcin Krol <hawk@tld-linux.org> 787099d
- release 2

* Mon Jun 13 2022 Marcin Krol <hawk@tld-linux.org> 5586e73
- updated to 1.4.14

* Sun May 03 2020 Marcin Krol <hawk@tld-linux.org> 16c6733
- updated to 1.4.9

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 8e78620
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Apr 09 2019 Adam Gołębiowski <adamg@pld-linux.org> a28179a
- updated to 1.4.7

* Sun Feb 24 2019 Adam Gołębiowski <adamg@pld-linux.org> e68773d
- updated to 1.4.5

* Tue Aug 21 2018 Marcin Krol <hawk@tld-linux.org> 4c36d04
- updated to 1.4.3

* Wed May 23 2018 Jakub Bogusz <qboosh@pld-linux.org> fc3fd45
- added bootstrap bcond

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> a3d85b3
- up to 1.4.0

* Fri Sep 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9c30bea
- updated to 1.3.13

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> be2bdeb
- up to 1.3.12

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e9130e
- up to 1.3.11

* Wed Aug 29 2012 Elan Ruusamäe <glen@delfi.ee> bed893e
- release 1 (by relup.sh)

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> b17b4f4
- fix files

* Sun Aug 19 2012 Elan Ruusamäe <glen@delfi.ee> d9bdeed
- up to 1.3.10

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 8c75f55
- updated to: 1.3.9

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> 4e38072
- updated to: 1.3.8

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 3d8753e
- updated to: 1.3.7

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 580979b
- updated to 1.3.5

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 8b75611
- updated to 1.3.3

